For AI agents and LLMs: a structured documentation index is available at /llms.txt. Every page has a Markdown sibling — append .md to any URL.

Skip to content
Paddle Docs home

Update balance currency settings

Updates the balance currency settings for your account.

PATCH/settings/balance-currency

Updates the balance currency settings for your account.

You can only change preferred. Paddle then updates primary to match, but when depends on your account.

If more than one currency is in enabled, Paddle updates primary immediately. preferred must be one of the currencies in enabled, otherwise the request returns an invalid_field error.

Otherwise, Paddle updates primary when your balance is zero. That's immediately if it's already zero, or after your next payout if it isn't. Until then, primary and preferred are different.

If successful, your response includes a copy of the updated balance currency settings entity.

Requires balance_currency.write permission.

Request body

preferredstring
Currency that you'd like your Paddle balance to be held in and paid out from. If more than one currency is in enabled, it must be one of them.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • USD
    United States Dollar

Response (200)

dataobjectrequired
Represents the balance currency settings for your account.
primarystringrequired
Currency that your Paddle balance is currently held in and paid out from. Set by Paddle. When you change preferred, Paddle updates this to match. That's immediately if more than one currency is in enabled or your balance is zero, otherwise after your next payout.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • USD
    United States Dollar
preferredstringrequired
Currency that you'd like your Paddle balance to be held in and paid out from.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • USD
    United States Dollar
enabledarrayrequired
Currencies that are enabled to hold a balance for this account. Set by Paddle.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • USD
    United States Dollar
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Request
{
"preferred": "GBP"
}
Response
{
"data": {
"primary": "USD",
"preferred": "GBP",
"enabled": [
"USD"
]
},
"meta": {
"request_id": "9bcdcc29-e180-4055-ad3d-d37e5dc5e56d"
}
}

Was this page helpful?